Subject: Discontiguous memory and cacheflush

From: [email-masked] (Martin Rosenberg)
Date: Thu, 9 Aug 2012 22:52:29 -0700 (PDT)

A couple of days ago, I started a project to coalesce calls to cachefush in mozilla's JIT.  After working out most of the bugs that I could find, there were still some lingering failures, which I believe finally tracked down to do_cache_op, where it looks like only the first contiguous region of virtual memory is consulted.  I don't actually know about any of the functions that are being called, nor exactly what the datastructures represent, but if my understanding of the code is correct, then it is at odds with the documentation that is available (namely, man cacheflush(2)).  Is there something I've overlooked, any suggested workarounds?  Thanks --Marty